Subject: bug#74831: 31.0.50; scratch/igc: segfaults on startup when called under gdb

From: Pip Cet <[email-masked]>
Date: Fri, 13 Dec 2024 08:59:33 +0000

"Eli Zaretskii" <[email-masked]> writes:

>> > I think we can close this bug now.
>>
>> Fine with me.
>
> Done.

Sorry to respond to a closed bug report, but I just pushed a change to
README-IGC which mentions the use of SIGSEGV by MPS.  While there is
more to be said on the topic (users of lldb on non-macOS systems have to
change signal disposition manually, right now; and solaris/sparc gdb
loses the siginfo information when receiving a SIGSEGV, which means MPS
builds on those systems happen to work but cannot be debugged with gdb),
I've tried to keep it short.

Thanks again for the report!

Pip